Skip to main content
GET
/
v1
/
ledger
/
statement
/
{currency}
Generate account statement for a specific currency
curl --request GET \
  --url https://api.example.com/v1/ledger/statement/{currency} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/v1/ledger/statement/{currency}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/v1/ledger/statement/{currency}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "accountId": "123e4567-e89b-12d3-a456-426614174000",
  "accountName": "user:client-id",
  "closingBalance": "1500.50",
  "currency": "EUR",
  "generatedAt": "2025-10-29T12:00:00Z",
  "openingBalance": "1000.00",
  "periodEnd": "2025-01-31",
  "periodStart": "2025-01-01",
  "totalCredits": "600.50",
  "totalDebits": "100.00",
  "transactions": [
    {
      "balanceAfter": "1500.50",
      "date": "2025-10-29T12:00:00Z",
      "transactionId": "123e4567-e89b-12d3-a456-426614174000",
      "credit": "100.50",
      "debit": "100.50",
      "description": "Payout to John Doe",
      "reference": "PAYOUT-001"
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Path Parameters

currency
string
required

Currency code (ISO 4217)

Example:

"EUR"

Query Parameters

startDate
string
required

Statement period start date (format: YYYY-MM-DD)

Example:

"2025-01-01"

endDate
string
required

Statement period end date (format: YYYY-MM-DD)

Example:

"2025-01-31"

Response

Account statement generated successfully

accountId
string
required

Account ID

Example:

"123e4567-e89b-12d3-a456-426614174000"

accountName
string
required

Account name

Example:

"user:client-id"

closingBalance
string
required

Closing balance at end of period

Example:

"1500.50"

currency
string
required

Currency

Example:

"EUR"

generatedAt
string
required

Statement generation timestamp

Example:

"2025-10-29T12:00:00Z"

openingBalance
string
required

Opening balance at start of period

Example:

"1000.00"

periodEnd
string
required

Statement period end date

Example:

"2025-01-31"

periodStart
string
required

Statement period start date

Example:

"2025-01-01"

totalCredits
string
required

Total credits during period

Example:

"600.50"

totalDebits
string
required

Total debits during period

Example:

"100.00"

transactions
object[]
required

List of transactions in the period